/**
 * The paginator component gathers all the pages within the page-container and dynamically creates
 * a list of pages, attaching the index to each page inside the page-selector container.
 * Once an index is selected, the visible page changes to display the content of the selected page.
 */
 .paginator,
 .paginator .page-container {
     display: inline-block;
     position: relative;
     width:100% !important;
     height:auto;
 }
 
 /**
  * Page container
  */
 .paginator .page-container {
     padding-top: 0px !important;
     background-color:transparent;
 }
 .paginator .page-container .page {
     display: block;
     position: relative;
     float: left;
     left: 0px;
     top:0px;
     width:100%;
     height:100%;
 }
 .paginator .page-container .page.selected {
     display:block;
 }
 .paginator .page-container .page {
     display:none;
 }
 
 /**
  * Page selector & page selector components
  */
 .page-selector {
     display:table;
     margin-top: -5px;
     padding:15px;
     background-color: #fafafa;
     border: 1px solid #f0f0f0;
 }
 .page-selector .previous,
 .page-selector .idxs,
 .page-selector .next {
     display: table-cell;
     vertical-align: middle;
     position: relative;
     text-align: center;
 }
 
 /**
  * Previous and Next buttons
  */
 .page-selector .previous,
 .page-selector .next,
 .page-selector .previous:hover,
 .page-selector .next:hover {
     min-width: 52px;
     font-weight: 700;
     font-size: 30px;
     padding: 5px;
     border-radius: 2px;
     cursor:pointer;
 }
 .page-selector .previous,
 .page-selector .next {
     animation-name: uncolorize-prev-next-btns;
     animation-duration: 500ms;
     animation-fill-mode: forwards;
  
     -webkit-animation-name: uncolorize-prev-next-btns;
     -webkit-animation-duration: 500ms;
     -webkit-animation-fill-mode: forwards;
   
     -moz-animation-name: uncolorize-prev-next-btns;
     -moz-animation-duration: 500ms;
     -moz-animation-fill-mode: forwards;
    
     -ms-animation-name: uncolorize-prev-next-btns;
     -ms-animation-duration: 500ms;
     -ms-animation-fill-mode: forwards;
 }
 .page-selector .previous:hover,
 .page-selector .next:hover {
     animation-name: colorize-prev-next-btns;
     animation-duration: 250ms;
     animation-fill-mode: forwards;
  
     -webkit-animation-name: colorize-prev-next-btns;
     -webkit-animation-duration: 250ms;
     -webkit-animation-fill-mode: forwards;
   
     -moz-animation-name: colorize-prev-next-btns;
     -moz-animation-duration: 250ms;
     -moz-animation-fill-mode: forwards;
    
     -ms-animation-name: colorize-prev-next-btns;
     -ms-animation-duration: 250ms;
     -ms-animation-fill-mode: forwards;
 }
 
 @media(max-width:767px) {
 
     .page-selector .previous, 
     .page-selector .next, 
     .page-selector .previous:hover, 
     .page-selector .next:hover {
         min-width: 20px;
         width:20px;
     }
 
 }
 
 /**
  * Colorize previous and next selector buttons
  */
 @keyframes uncolorize-prev-next-btns {
     from {
         background-color:#1a6bea;
         border:1px solid #1F6CE8;
         color: #f0f0f0;
     }
     to {
         background-color:#ffffff;
         border:1px solid #e6e6e6;
         color: #1F6CE8;
     }
 }
 @-moz-keyframes uncolorize-prev-next-btns {
     from {
         background-color:#1a6bea;
         border:1px solid #1F6CE8;
         color: #f0f0f0;
     }
     to {
         background-color:#ffffff;
         border:1px solid #e6e6e6;
         color: #1F6CE8;
     }
 }
 @-webkit-keyframes uncolorize-prev-next-btns {
     from {
         background-color:#1a6bea;
         border:1px solid #1F6CE8;
         color: #f0f0f0;
     }
     to {
         background-color:#ffffff;
         border:1px solid #e6e6e6;
         color: #1F6CE8;
     }
 }
 
 /**
  * Uncolorize previous and next selector buttons
  */
 @keyframes colorize-prev-next-btns {
     from {
         background-color:#ffffff;
         border:1px solid #1F6CE8;
         color: #1F6CE8;
     }
     to {
         background-color:#1a6bea;
         border:1px solid #1F6CE8;
         color: #f0f0f0;
     }
 }
 @-moz-keyframes colorize-prev-next-btns {
     from {
         background-color:#ffffff;
         border:1px solid #1F6CE8;
         color: #1F6CE8;
     }
     to {
         background-color:#1a6bea;
         border:1px solid #1F6CE8;
         color: #f0f0f0;
     }
 }
 @-webkit-keyframes colorize-prev-next-btns {
     from {
         background-color:#ffffff;
         border:1px solid #1F6CE8;
         color: #1F6CE8;
     }
     to {
         background-color:#1a6bea;
         border:1px solid #1F6CE8;
         color: #f0f0f0;
     }
 }
 
 /**
  * Page index selectors
  */
 .page-selector .idxs {
     width:100%;
 }
 .page-selector .idxs .page-idx,
 .page-selector .idxs .page-idx:hover,
 .page-selector .idxs .page-idx.selected,
 .page-selector .idxs .page-idx.selected:hover {
     display:inline-block;
     position:relative;
     left: 0px;
     top:0px;
     min-width:30px;
     min-height:20px;
     margin:5px;
     padding:5px;
     border-radius:2px;
     cursor:pointer;
 }
 .page-selector .idxs .page-idx,
 .page-selector .idxs .page-idx:hover {
     background-color: #fefefe;
     border: 1px solid #e0e0e0;
 }
 .page-selector .idxs .page-idx.selected {
     animation-name: scale-idx-down-selected;
     animation-duration: 100ms;
     animation-fill-mode: forwards;
  
     -webkit-animation-name: scale-idx-down-selected;
     -webkit-animation-duration: 100ms;
     -webkit-animation-fill-mode: forwards;
   
     -moz-animation-name: scale-idx-down-selected;
     -moz-animation-duration: 100ms;
     -moz-animation-fill-mode: forwards;
    
     -ms-animation-name: scale-idx-down-selected;
     -ms-animation-duration: 100ms;
     -ms-animation-fill-mode: forwards;
 }
 .page-selector .idxs .page-idx.selected:hover {
     animation-name: scale-idx-up-selected;
     animation-duration: 100ms;
     animation-fill-mode: forwards;
  
     -webkit-animation-name: scale-idx-up-selected;
     -webkit-animation-duration: 100ms;
     -webkit-animation-fill-mode: forwards;
   
     -moz-animation-name: scale-idx-up-selected;
     -moz-animation-duration: 100ms;
     -moz-animation-fill-mode: forwards;
    
     -ms-animation-name: scale-idx-up-selected;
     -ms-animation-duration: 100ms;
     -ms-animation-fill-mode: forwards;
 }
 
 /**
  * Scale idx down selected
  */
 @keyframes scale-idx-down-selected {
     from {
         color: #fefefe;
         background-color: #1a6bea;
         border-color: #e6e6e6;
         font-size: 23px;
     }
     to {
         color: #ffffff;
         background-color: #1458C4;
         border-color: #1a6bea;
         font-size: 19px;
     }
 }
 @-moz-keyframes scale-idx-down-selected {
     from {
         color: #fefefe;
         background-color: #1a6bea;
         border-color: #e6e6e6;
         font-size: 23px;
     }
     to {
         color: #ffffff;
         background-color: #1458C4;
         border-color: #1a6bea;
         font-size: 19px;
     }
 }
 @-webkit-keyframes scale-idx-down-selected {
     from {
         color: #fefefe;
         background-color: #1a6bea;
         border-color: #e6e6e6;
         font-size: 23px;
     }
     to {
         color: #ffffff;
         background-color: #1458C4;
         border-color: #1a6bea;
         font-size: 19px;
     }
 }
 
 /**
  * Scale idx up selected
  */
  @keyframes scale-idx-up-selected {
     from {
         color: #ffffff;
         background-color: #1458C4;
         font-size: 19px;
     }
     to {
         color: #fefefe;
         background-color: #1a6bea;
         border-color:#085FE9;
         font-size: 23px;
     }
 }
 @-moz-keyframes scale-idx-up-selected {
     from {
         color: #ffffff;
         background-color: #1458C4;
         font-size: 19px;
     }
     to {
         color: #fefefe;
         background-color: #1a6bea;
         border-color:#085FE9;
         font-size: 23px;
     }
 }
 @-webkit-keyframes scale-idx-up-selected {
     from {
         color: #ffffff;
         background-color: #1458C4;
         font-size: 19px;
     }
     to {
         color: #fefefe;
         background-color: #1a6bea;
         border-color:#085FE9;
         font-size: 23px;
     }
 }
 
 .page-selector .idxs .page-idx {
     animation-name: scale-idx-down;
     animation-duration: 100ms;
     animation-fill-mode: forwards;
  
     -webkit-animation-name: scale-idx-down;
     -webkit-animation-duration: 100ms;
     -webkit-animation-fill-mode: forwards;
   
     -moz-animation-name: scale-idx-down;
     -moz-animation-duration: 100ms;
     -moz-animation-fill-mode: forwards;
    
     -ms-animation-name: scale-idx-down;
     -ms-animation-duration: 100ms;
     -ms-animation-fill-mode: forwards;
 }
 .page-selector .idxs .page-idx:hover {
     animation-name: scale-idx-up;
     animation-duration: 100ms;
     animation-fill-mode: forwards;
  
     -webkit-animation-name: scale-idx-up;
     -webkit-animation-duration: 100ms;
     -webkit-animation-fill-mode: forwards;
   
     -moz-animation-name: scale-idx-up;
     -moz-animation-duration: 100ms;
     -moz-animation-fill-mode: forwards;
    
     -ms-animation-name: scale-idx-up;
     -ms-animation-duration: 100ms;
     -ms-animation-fill-mode: forwards;
 }
 
 /**
  * Scale idx down
  */
 @keyframes scale-idx-down {
     from {
         color: #284F8F;
         font-size: 21px;
     }
     to {
         color: #4285f4;
         font-size: 16px;
     }
 }
 @-moz-keyframes scale-idx-down {
     from {
         color: #284F8F;
         font-size: 21px;
     }
     to {
         color: #4285f4;
         font-size: 16px;
     }
 }
 @-webkit-keyframes scale-idx-down {
     from {
         color: #284F8F;
         font-size: 21px;
     }
     to {
         color: #4285f4;
         font-size: 16px;
     }
 }
 
 /**
  * Scale idx up
  */
 @keyframes scale-idx-up {
     from {
         color: #4285f4;
         font-size: 16px;
     }
     to {
         color: #284F8F;
         font-size: 21px;
     }
 }
 @-moz-keyframes scale-idx-up {
     from {
         color: #4285f4;
         font-size: 16px;
     }
     to {
         color: #284F8F;
         font-size: 21px;
     }
 }
 @-webkit-keyframes scale-idx-up {
     from {
         color: #4285f4;
         font-size: 16px;
     }
     to {
         color: #284F8F;
         font-size: 21px;
     }
 }
 
 @media(max-width:767px) {
 
     .page-selector .idxs .page-idx, 
     .page-selector .idxs .page-idx:hover, 
     .page-selector .idxs .page-idx.selected, 
     .page-selector .idxs .page-idx.selected:hover {
         width:auto;
         min-width: 32px;
         min-height: 32px;
         padding: 3px;
     }
 
 }
 